//<!--
//
// ident "$Id$ SMI"
//
// Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
// Use is subject to license terms.
//

var dtuTableId = "f1:p1:t1"

function initAllRows() {
    var table = document.getElementById(dtuTableId);
    table.initAllRows();
}

function disableActions() {
    var table = document.getElementById(dtuTableId);
    var selections = table.getAllSelectedRowsCount();
    var deleteDisabled = (selections > 0) ? false : true;
    var newDisabled = (selections > 0) ? true : false;
    document.getElementById(dtuTableId + ":actionsTop:new").setDisabled(newDisabled);
    document.getElementById(dtuTableId + ":actionsTop:delete").setDisabled(deleteDisabled);
}

function confirmDeleteSelectedRows() {
    var table = document.getElementById(dtuTableId);
    return table.confirmDeleteSelectedRows();
}

function filterMenuChanged() {
    var table = document.getElementById(dtuTableId);
    return table.filterMenuChanged();
}

function toggleFilterPanel() {
    var table = document.getElementById(dtuTableId);
    table.toggleFilterPanel();
}

//-->
